str.c File Reference
`#include "coap_internal.h"`
`#include <stdio.h>`
Include dependency graph for str.c:

Go to the source code of this file.

## Functions

coap_string_t * | coap_new_string (size_t size)
| Returns a new string object with at least size+1 bytes storage allocated. More...
void | coap_delete_string (coap_string_t *s)
| Deletes the given string and releases any memory allocated. More...
coap_str_const_t * | coap_new_str_const (const uint8_t *data, size_t size)
| Returns a new const string object with at least size+1 bytes storage allocated, and the provided data copied into the string object. More...
void | coap_delete_str_const (coap_str_const_t *s)
| Deletes the given const string and releases any memory allocated. More...
coap_str_const_t * | coap_make_str_const (const char *string)
| Take the specified string and create a coap_str_const_t *. More...